Bug 1188455 - packageKit -- Software can not be installed after several ones are installed - Install and update blank
Summary: packageKit -- Software can not be installed after several ones are installed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 22
Hardware: i686
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1191540 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 23:56 UTC by Murray
Modified: 2016-07-19 18:52 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:52:06 UTC
Type: Bug


Attachments (Terms of Use)
journalctl (582.31 KB, text/plain)
2015-02-02 23:56 UTC, Murray
no flags Details
broken database (14.29 KB, application/x-xz)
2015-06-09 12:07 UTC, Pierre Ossman
no flags Details

Description Murray 2015-02-02 23:56:23 UTC
Created attachment 987317 [details]
journalctl

Description of problem:
Error message from software ( and apper) on trying to install any program. All the list(s) are also empty.  On a new fedora install it worked fine then after several packages are installed it fails. Ran update and repair per notes in fedora magazine 

http://fedoramagazine.org/special-update-information-for-fedora-21-users-packagekit-errors/

Version-Release number of selected component (if applicable):
fedora 21-5

How reproducible:
instaled from CD Fedora live workstation 21 -5 and was able to install several programs.Was able to install apper and gftp  then  software and apper go blank and you can not install any program with either package tool.

First assumed that I did something wrong. (I Installed DVD codex via Fedy ) .  Started the CD install from scratch and it worked, Able to install gftp  apper and shutter and then it failed. Was able to install Java and Dropbox via the terminal and Yum. 



Steps to Reproduce:
1.install fedora live from CD workstation 686-21-5
2. start to install packages. 
3. Software and Apper go blank 

Actual results:


Expected results:


Additional info: have and email from Adam Williamson the techinal person asking for more info. asked to run journalctl -b as root. File results is attached.



Distribution: Fedora release 21 (Twenty One)
Kernel: Linux 3.17.4-301.fc21.i686 i386
RAM: 3507696 kB
Video: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
: Oxford Semiconductor Ltd OX16PCI954 (Quad 16950 UART) function 1 (parallel port) (rev 01)
Audio: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
Ethernet: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
Wireless:

Comment 1 Murray 2015-02-03 00:02:46 UTC
Info requested in email from 
Adam Williamson

author of this: 

http://fedoramagazine.org/special-update-information-for-fedora-21-users-packagekit-errors/

Comment 2 BaBBa 2015-02-07 11:41:19 UTC
I have the same problem in 

Linux ivyOne.labs 3.18.5-201.fc21.x86_64 #1 SMP Mon Feb 2 21:00:58 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

packagekit.service status say:

Feb 07 11:30:20 ivyOne.labs packagekitd[14892]: Failed to load the backend: Failed to execute statement 'CREATE TABLE transactions (transaction_id TEXT PRIMARY KEY,timespec TEXT,duration INTEGER,succeeded INTEGER DEFAULT 0,role TEXT,data TEXT,description TEXT,uid INTEGER DEFAULT 0,cmdline TEXT);': table transactions already exists
Feb 07 11:30:59 ivyOne.labs PackageKit[14949]: daemon start
Feb 07 11:31:00 ivyOne.labs PackageKit[14949]: daemon quit
Feb 07 11:31:00 ivyOne.labs packagekitd[14949]: Failed to load the backend: Failed to execute statement 'CREATE TABLE transactions (transaction_id TEXT PRIMARY KEY,timespec TEXT,duration INTEGER,succeeded INTEGER DEFAULT 0,role TEXT,data TEXT,description TEXT,uid INTEGER DEFAULT 0,cmdline TEXT);': table transactions already exists
Feb 07 11:31:35 ivyOne.labs PackageKit[14994]: daemon start
Feb 07 11:31:35 ivyOne.labs PackageKit[14994]: daemon quit
Feb 07 11:31:35 ivyOne.labs packagekitd[14994]: Failed to load the backend: Failed to execute statement 'CREATE TABLE transactions (transaction_id TEXT PRIMARY KEY,timespec TEXT,duration INTEGER,succeeded INTEGER DEFAULT 0,role TEXT,data TEXT,description TEXT,uid INTEGER DEFAULT 0,cmdline TEXT);': table transactions already exists
Feb 07 11:44:35 ivyOne.labs PackageKit[15378]: daemon start
Feb 07 11:44:35 ivyOne.labs PackageKit[15378]: daemon quit
Feb 07 11:44:35 ivyOne.labs packagekitd[15378]: Failed to load the backend: Failed to execute statement 'CREATE TABLE transactions (transaction_id TEXT PRIMARY KEY,timespec TEXT,duration INTEGER,succeeded INTEGER DEFAULT 0,role TEXT,data TEXT,description TEXT,uid INTEGER DEFAULT 0,cmdline TEXT);': table transactions already exists

Comment 3 Tom Tromey 2015-02-12 17:45:38 UTC
This happened to me as well.

This worked for me:

* sudo rm /var/lib/PackageKit/*.db
* sudo systemctl restart packagekit.service
* sudo pkcon repair

I'm not really sure this is the right thing to do.
But, it did make gnome-software start working again.

Comment 4 Rex Dieter 2015-02-13 12:41:17 UTC
*** Bug 1191540 has been marked as a duplicate of this bug. ***

Comment 5 BaBBa 2015-02-14 02:27:10 UTC
I tried deleting the files /var/lib/PackageKit/*.db as suggested by Tom Tromey, and it worked.

Comment 6 Pierre Ossman 2015-03-23 14:00:50 UTC
Same thing here:

Mar 23 14:55:26 ossman.lkpg.cendio.se gnome-session[2056]: (org.gnome.Software:2512): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
Mar 23 14:55:26 ossman.lkpg.cendio.se dbus[765]: [system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service'
Mar 23 14:55:26 ossman.lkpg.cendio.se PackageKit[17216]: daemon start
Mar 23 14:55:26 ossman.lkpg.cendio.se PackageKit[17216]: daemon quit
Mar 23 14:55:26 ossman.lkpg.cendio.se packagekitd[17216]: Failed to load the backend: Failed to execute statement 'CREATE TABLE transactions (transaction_id TEXT PRIMARY KEY,timespec TEXT,duration INTEGER,succeeded INTEGER DEFAULT 0,role TEXT,data TEXT,description TEXT,uid INTEGER DEFAULT 0,cmdline TEXT);': table transactions already exists
Mar 23 14:55:51 ossman.lkpg.cendio.se dbus[765]: [system] Failed to activate service 'org.freedesktop.PackageKit': timed out
Mar 23 14:55:51 ossman.lkpg.cendio.se gnome-session[2056]: (org.gnome.Software:2512): Gs-WARNING **: Not already a started task for 0x2a7b8f0~packagekit-refresh::transaction
Mar 23 14:55:51 ossman.lkpg.cendio.se gnome-session[2056]: (org.gnome.Software:2512): Gs-WARNING **: failed to convert to GsApp: Error calling StartServiceByName for org.freedesktop.PackageKit: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.freedesktop.PackageKit timed out

I've saved the old db files if you want to have a look at them. Just let me know.

Comment 7 Kalev Lember 2015-06-09 00:24:09 UTC
Can you attach the old DB files to this ticket, please, if you still have them? Thanks!

Comment 8 Pierre Ossman 2015-06-09 12:07:16 UTC
Created attachment 1036723 [details]
broken database

Comment 9 James (purpleidea) 2015-09-13 07:28:01 UTC
(In reply to Tom Tromey from comment #3)
> This happened to me as well.
> 
> This worked for me:
> 
> * sudo rm /var/lib/PackageKit/*.db
> * sudo systemctl restart packagekit.service
> * sudo pkcon repair
> 

I can confirm I have this issue on two different Fedora machines, one F21, one F22. The above commands also fixed the issue. The only relevant thing that the two machines have in common (AFAIK) is that they both were upgrades from previous Fedora versions as opposed to clean installs.

HTH

Comment 10 Alessio.AguirrePimentel 2015-09-27 04:56:21 UTC
I get error "Error calling StartServiceByName for org.freedesktop.PackageKit: Timeout was reached"

I tried the following, as suggested:

# su -
# rm /var/lib/PackageKit/*.db
rm: cannot remove ‘/var/lib/PackageKit/*.db’: No such file or directory

# systemctl restart packagekit.service 
Job for packagekit.service failed. See "systemctl status packagekit.service" and "journalctl -xe" for details.

# pkcon repair
Failed to contact PackageKit: Error calling StartServiceByName for org.freedesktop.PackageKit: Timeout was reached

Comment 11 Dan Dragomir 2015-12-22 18:15:11 UTC
I am also seeing this in Fedora 23. It happened on a clean install after trying to install Chrome.
First the Software Center got stuck with Chrome installing at about 75%. After a restart the whole Software Center was unusable: no apps were loading and trying to install other packages (e.g. Flash) from the interface failed with a timeout on the PackageKit service. Installing packages from the command line with dnf was not affected.
Running the commands suggested in comment #3 worked and I was able to install other packages from the interface (tested with Flash).

Comment 12 Fedora End Of Life 2016-07-19 18:52:06 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.